export type AnimationType =
    | 'auto'
    | 'none'
    | 'slide-in-right'
    | 'slide-in-left'
    | 'slide-in-top'
    | 'slide-in-bottom'
    | 'fade-in'
    | 'zoom-out'
    | 'zoom-fade-out'
    | 'pop-in'

export function to(url: string, animationType: AnimationType = 'pop-in'): void {
    uni.navigateTo({
        url,
        animationType,
    })
}
